@font-face {
    font-family: "mac's Minecraft";
    src: url("fonts/macsMinecraft-Regular.otf") format("opentype");
    font-weight: normal;
}

@font-face {
    font-family: "mac's Minecraft";
    src: url("fonts/macsMinecraft-Bold.otf") format("opentype");
    font-weight: bold;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --background: #000000;
    --foreground: #ffffff;
    --accent: #ffa2bd;

    --discord-blue: #5663ef;
    --tt-blue: #2dccd3;
    --tt-red: #f1204a;
}

body {
    background-color: var(--background);
    color: var(--foreground);
    font-family: "mac's Minecraft", monospace;
    font-size: 18px;
    line-height: 1;
    padding: 50px;

    -webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale;
    font-smooth: never;
}

br {
    line-height: 2;
}

a {
    color: var(--foreground);
}

.container {
    display: flex;
    gap: 80px;
    max-width: 900px;
    margin: 0 auto;
}

.sidebar ul {
    list-style: none;
    line-height: 1.5;
}

.sidebar a {
    color: var(--foreground);
    text-decoration: none;
    display: block;
    margin-bottom: 8px;
}

.sidebar a:hover {
    text-decoration: underline;
}

.content h1 {
    font-size: 48px;
    margin-bottom: 24px;
    letter-spacing: -1px;

    transition: 0.2s;
}

.content h1:hover {
    color: var(--accent);
}

.content p {
    margin-bottom: 20px;
}

.discord-blue {
    color: var(--discord-blue);
}

.tt-blue {
    color: var(--tt-blue);
}

.tt-red {
    color: var(--tt-red);
}
